### Function

# Soup header_parse_param_list_strict

#### Declaration [src]

    GHashTable*
    soup_header_parse_param_list_strict (
      const char* header
    )

#### Description [src]

A strict version of `soup_header_parse_param_list()` that bails out if there are duplicate parameters.

Note that this function will treat RFC5987-encoded parameters as duplicated if an ASCII version is also present. For header fields that might contain RFC5987-encoded parameters, use `soup_header_parse_param_list()` instead.

#### Parameters

`header`

  Type: `const char*`

  A header value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GHashTable`

a `GHashTable` of list elements, which can be freed with `soup_header_free_param_list()` or `NULL` if there are duplicate elements.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.